import request from '@/utils/request'

// 查询进出学校记录列表
export function listAccess_log(query) {
  return request({
    url: '/system/access_log/list',
    method: 'get',
    params: query
  })
}


// 查询学生进出学校记录
export function listStudentInOutLog(data) {
  return request({
    url: '/system/access_log/student/inout/list',
    method: 'post',
    data
  })
}

// 查询进出学校记录详细
export function getAccess_log(id) {
  return request({
    url: '/system/access_log/' + id,
    method: 'get'
  })
}

// 新增进出学校记录
export function addAccess_log(data) {
  return request({
    url: '/system/access_log',
    method: 'post',
    data: data
  })
}

// 修改进出学校记录
export function updateAccess_log(data) {
  return request({
    url: '/system/access_log',
    method: 'put',
    data: data
  })
}

// 删除进出学校记录
export function delAccess_log(id) {
  return request({
    url: '/system/access_log/' + id,
    method: 'delete'
  })
}
